Package oracle.nosql.driver

# Enum StatsControl.Profile

java.lang.Object
java.lang.Enum<StatsControl.Profile>
oracle.nosql.driver.StatsControl.Profile

All Implemented Interfaces:
  `Serializable`, `Comparable<StatsControl.Profile>`, `java.lang.constant.Constable`

Enclosing interface:
  StatsControl

public static enum StatsControl.Profile extends Enum<StatsControl.Profile>
A Profile that determines what stats are logged

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  all other stats, plus per query information
  `MORE`
  stats above with 95th and 99th percentile latencies
  `NONE`
  No stats are logged
  `REGULAR`
  per request: counters, errors, latencies, delays, retries

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StatsControl.Profile`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static StatsControl.Profile[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final StatsControl.Profile NONE
    No stats are logged

  - ### REGULAR

    public static final StatsControl.Profile REGULAR
    per request: counters, errors, latencies, delays, retries

  - ### MORE

    public static final StatsControl.Profile MORE
    stats above with 95th and 99th percentile latencies

  - ### ALL

    public static final StatsControl.Profile ALL
    all other stats, plus per query information

- ## Method Details

  - ### values

    public static StatsControl.Profile[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static StatsControl.Profile valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null